> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/2.1/for-developers/rest-api/core/snat/update-a-snat-binding.md).

# Update a SNAT binding

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.1.0"},"tags":[{"name":"SNAT","description":"User SNAT bindings in your locations."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"EditUserSnatBinding":{"type":"object","required":["public_ip"],"properties":{"public_ip":{"type":"string","description":"New public IP address used for SNAT."}}},"UserSnatBinding":{"type":"object","required":["id","user_id","location_id","public_ip"],"properties":{"id":{"type":"integer","format":"int64"},"location_id":{"$ref":"#/components/schemas/i64"},"public_ip":{"type":"string"},"user_id":{"$ref":"#/components/schemas/i64"}}},"i64":{"type":"integer","format":"int64"},"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/network/{location_id}/snat/{user_id}":{"put":{"tags":["SNAT"],"summary":"Update a SNAT binding","operationId":"modify_snat_binding","parameters":[{"name":"location_id","in":"path","description":"ID of the location.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"user_id","in":"path","description":"ID of the user.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditUserSnatBinding"}}},"required":true},"responses":{"200":{"description":"SNAT binding updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSnatBinding"}}}},"400":{"description":"Invalid request data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges and an active enterprise license.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Location, user or SNAT binding not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to update SNAT binding.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
